Documentation

Datasets

List all datasets

Returns all datasets in the catalog, sorted by name ascending.

ProductionStagingUATLocal development
GEThttps://linguistic.ankiren.com/api/datasets

Responses

200 · List of datasets

  • datasets[Dataset]
    • idintegerRequired

      Auto-increment identifier

    • slugstringRequired

      URL-friendly identifier

    • namestringRequired

      Display name

    • nameVistring?

      Vietnamese name

    • descriptionstring?

      Dataset description

    • taskstring?

      Task type

    • taskVistring?

      Vietnamese task name

    • languagestring?

      Dataset language

    • rowsstring?

      Row count as formatted string

    • sourcestring?

      Source URL (e.g., HuggingFace link)

    • tagsstring?

      Comma-separated tags

    • createdAtstring<date-time>Required

      Record creation timestamp

      format: date-time
    • updatedAtstring<date-time>Required

      Last update timestamp

      format: date-time
application/json
{
  "datasets": [
    {
      "id": 1,
      "slug": "vlsp2013-postag",
      "name": "VLSP2013_POSTAG",
      "nameVi": "Gán nhãn từ loại tiếng Việt",
      "description": "Vietnamese POS tagging dataset from VLSP 2013",
      "task": "Token Classification",
      "taskVi": "Phân loại từ",
      "language": "Vietnamese",
      "rows": "27,871",
      "source": "https://huggingface.co/datasets/vlsp2013-postag",
      "tags": "POS Tagging,Vietnamese,NLP",
      "createdAt": "2026-01-17T10:00:00Z",
      "updatedAt": "2026-01-17T10:00:00Z"
    }
  ]
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://linguistic.ankiren.com/api/datasets' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'